#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	autoconf-archive
Version		:	2019.01.06
Release		:	17.0.10.rel%{?dist}
Summary		:	GNU Autoconf Archive
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.gnu.org/software/autoconf-archive/
			#http://gnu.mirror.iweb.com/autoconf-archive/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The GNU Autoconf Archive is a collection of more than 500 macros for [GNU
Autoconf](https://www.gnu.org/software/autoconf) that have been contributed
as free software by friendly supporters of the cause from all over the
Internet. Every single one of those macros can be re-used without imposing
any restrictions whatsoever on the licensing of the generated configure
script. In particular, it is possible to use all those macros in configure
scripts that are meant for non-free software. This policy is unusual for a
Free Software Foundation project. The FSF firmly believes that software
ought to be free, and software licenses like the GPL are specifically
designed to ensure that derivative work based on free software must be
free as well. In case of Autoconf, however, an exception has been made,
because Autoconf is at such a pivotal position in the software development
tool chain that the benefits from having this tool available as widely as
possible outweigh the disadvantage that some authors may choose to use it,
too, for proprietary software.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
%{__rm} -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README COPYING.EXCEPTION
%{_datadir}/info/%{name}.info.gz
%{_datadir}/aclocal/*.m4

%changelog
